DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# MeasurementObjects

Get an object ID array

## SYNOPSIS

`#include "dip_measurement.h"`

dip_Error dip_MeasurementObjects ( measurement, featureID, objectID, resources )

## FUNCTION

This function obtains an array of object IDs belonging to the `featureID` measurement function in the measurement structure. See `MeasurementForge` for a (brief) explination of the measurement data structure.

## ARGUMENTS

Data type | Name | Description
`dip_Measurement` | `measurement` | Measurement data structure
`dip_int` | `featureID` | Measurement function ID
`dip_IntegerArray *` | `objectID` | Pointer to an object ID array
`dip_Resources` | `resources` | Resources tracking structure. See `ResourcesNew`

## SEE ALSO

`Measure`, `MeasurementNew`, `MeasurementNumberOfObjects`, `MeasurementObjectValid`, `MeasurementObjectData`, `MeasurementObjectValue`